|  | Home | Documentation | saml1__SubjectStatementAbstractType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml1__SubjectStatementAbstractType Struct Reference

"urn:oasis:names:tc:SAML:1.0:assertion":SubjectStatementAbstractType is an abstract complexType with complexContent extension of type "urn:oasis:names:tc:SAML:1.0:assertion":StatementAbstractType. More...

`#include <saml1.h>`

Collaboration diagram for saml1__SubjectStatementAbstractType:
[legend]

## Public Attributes
struct saml1__SubjectType * | saml1__Subject
| INHERITED FROM saml1__StatementAbstractType: More...

## Detailed Description

"urn:oasis:names:tc:SAML:1.0:assertion":SubjectStatementAbstractType is an abstract complexType with complexContent extension of type "urn:oasis:names:tc:SAML:1.0:assertion":StatementAbstractType.

Note
  struct saml1__SubjectStatementAbstractType operations:
  - saml1__SubjectStatementAbstractType* soap_new_saml1__SubjectStatementAbstractType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml1__SubjectStatementAbstractType(struct soap*, saml1__SubjectStatementAbstractType*) default initialize members
  - int soap_read_saml1__SubjectStatementAbstractType(struct soap*, saml1__SubjectStatementAbstractType*) deserialize from a source
  - int soap_write_saml1__SubjectStatementAbstractType(struct soap*, saml1__SubjectStatementAbstractType*) serialize to a sink
  - saml1__SubjectStatementAbstractType* soap_dup_saml1__SubjectStatementAbstractType(struct soap*, saml1__SubjectStatementAbstractType* dst, saml1__SubjectStatementAbstractType <em>src) returns deep copy of saml1__SubjectStatementAbstractType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml1__SubjectStatementAbstractType(saml1__SubjectStatementAbstractType) deep deletes saml1__SubjectStatementAbstractType data members, use only on dst after soap_dup_saml1__SubjectStatementAbstractType(NULL, saml1__SubjectStatementAbstractType *dst, saml1__SubjectStatementAbstractType *src) (use soapcpp2 -Ed)

## Member Data Documentation

struct saml1__SubjectType* saml1__SubjectStatementAbstractType::saml1__Subject

INHERITED FROM saml1__StatementAbstractType:

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"Subject. Required element.

The documentation for this struct was generated from the following file:

- saml1.h